Name:           netmask
Version:        2.4.4
Release:    1%{?dist}
Summary:        Utility for determining network masks

License:        GPLv2+
URL:            https://github.com/tlby/netmask
Source0:        https://github.com/tlby/netmask/archive/v%{version}.tar.gz
BuildRequires: make
BuildRequires:  gcc, automake, texinfo

%description
This is a handy tool for generating terse netmasks in several common
formats.  If you've ever maintained a firewall with more than a few
rules in it, you might use netmask to clean up and generalize sloppy
rules left by the network administrator before you.  It will also
convert netmasks from one format to another for the day you change
your firewall software.


%prep
%autosetup -a 0
./autogen  

%build
%configure
%make_build


%install
rm -rf %{buildroot}
%make_install


%check
make check

%files
%license COPYING
%doc AUTHORS ChangeLog README
%{_bindir}/netmask
%{_mandir}/man1/netmask.1*
%exclude %{_infodir}/dir
%{_infodir}/netmask.info*


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4.4-1
- initial build
